> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisfi.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate Payout Fee

> Calculates source amount, target amount and payout fee using an active quote and payout routing details. Exactly one of source_amount and target_amount must be provided. The quote remains available for transfer creation.



## OpenAPI

````yaml /openapi/2024-12-01.json post /api/fx/payout-fees
openapi: 3.0.1
info:
  title: AxisFi API 接口文档
  description: 认证需同时提供 API Key 和 Secret
  version: '2024-12-01'
servers:
  - url: https://sandbox-api.axisfi.net
    description: Sandbox
security:
  - X-API-Key: []
    X-API-Secret: []
paths:
  /api/fx/payout-fees:
    post:
      tags:
        - Quotes
      summary: Estimate Payout Fee
      description: >-
        Calculates source amount, target amount and payout fee using an active
        quote and payout routing details. Exactly one of source_amount and
        target_amount must be provided. The quote remains available for transfer
        creation.
      operationId: estimatePayoutFeeV20241201
      parameters:
        - name: Api-Version
          in: header
          description: AxisFi API contract version
          required: true
          schema:
            type: string
            default: '2024-12-01'
            enum:
              - '2024-12-01'
          example: '2024-12-01'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayoutFeeQuoteReqVo'
        required: true
      responses:
        '200':
          description: Operation Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutFeeQuoteRespVo'
        '400':
          description: Invalid Parameter
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '403':
          description: Forbidden (No Permission)
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '404':
          description: Not Found
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '405':
          description: Method Not Allowed
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorRespVo'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
components:
  schemas:
    PayoutFeeQuoteReqVo:
      required:
        - payout_details
        - quote_id
      type: object
      properties:
        quote_id:
          maxLength: 64
          minLength: 0
          type: string
          description: Quote ID
          example: quote_f91fafe4b4fb463c8d0b04a90fece464
        source_amount:
          maximum: 100000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: >-
            Source currency amount. Provide either source_amount or
            target_amount, but not both.
          nullable: true
          example: 1000
        target_amount:
          maximum: 100000000
          exclusiveMaximum: false
          minimum: 0.01
          exclusiveMinimum: false
          type: number
          description: >-
            Target currency amount. Provide either source_amount or
            target_amount, but not both.
          nullable: true
          example: 990
        payout_details:
          $ref: '#/components/schemas/PayoutDetails'
      description: >-
        Payout fee estimation request. Provide exactly one of source_amount and
        target_amount.
    PayoutFeeQuoteRespVo:
      type: object
      properties:
        quote_id:
          type: string
          description: Quote ID
          example: quote_f91fafe4b4fb463c8d0b04a90fece464
        source_amount:
          type: number
          description: Total amount deducted in the source currency
          example: 1000
        target_amount:
          type: number
          description: Net amount received in the target currency
          example: 990
        exchange_rate:
          type: number
          description: Customer exchange rate
          example: 1.005
        exchange_fee:
          type: number
          description: Exchange fee in the source currency
          example: 2.5
        payout_fee:
          type: number
          description: Payout fee in the source currency
          example: 5
        payout_fee_currency:
          type: string
          description: Currency of payout_fee
          example: USDT
        valid_to:
          type: string
          description: Quote expiration time
          format: date-time
        remaining_seconds:
          type: integer
          description: Remaining seconds before expiration
          format: int64
          example: 180
      description: Payout fee estimation response
    ErrorRespVo:
      type: object
      properties:
        errors:
          type: array
          description: 错误信息列表
          items:
            $ref: '#/components/schemas/ErrorDetailRespVo'
      description: 错误响应结果
    PayoutDetails:
      required:
        - account_type
        - country_code
        - network
        - payment_method
      type: object
      properties:
        account_type:
          pattern: ^BANK$
          type: string
          description: Recipient account type
          example: BANK
          enum:
            - BANK
        country_code:
          pattern: ^CN$
          type: string
          description: Recipient bank country code
          example: CN
          enum:
            - CN
        payment_method:
          pattern: ^LOCAL$
          type: string
          description: Payout payment method
          example: LOCAL
          enum:
            - LOCAL
        network:
          pattern: ^RTGS$
          type: string
          description: Payout network
          example: RTGS
          enum:
            - RTGS
      description: Payout routing details used to select the payout fee
    ErrorDetailRespVo:
      type: object
      properties:
        detail:
          type: string
          description: 错误详细描述
          example: Invalid organizationId
        code:
          type: string
          description: 错误码
          example: ORG_ID_INVALID
      description: 错误详情
  securitySchemes:
    X-API-Key:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    X-API-Secret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````